DWWW-INDEX++(8)

NAME
dwww-index++ - build index of registered Debian documentation.

SYNOPSIS
dwww-index++ [-f] [-i] [-l] [-v] [-- swish_option [...]]

DESCRIPTION

dwww-index++ is part of the dwww package, which provides access to on-line documentation on a Debian system via WWW.

dwww-index++ uses index++(1) program from swish++ package to generate index of Debian documentation files registered with doc-base.

OPTIONS

-f  Force generation of the full documentation index even if it is disabled in the configuration file.

-i  Force generation of the incremental documentation index even if it is disabled in the configuration file.

-l  Print a list of files which would be indexed on standard output. Can be used together with -f or -i to show files which would be indexed by full or incremental indexing.

-v  Be more verbose.

--  Any option after -- is passed directly to index++(1).
    For example to see which files are indexed, use
    dwww-index++ -- -v4

CONFIGURATION FILE ITEMS

DWWW_INDEX_DOCUMENTATION
    If this variable is set to yes (default), then the documentation index is generated. This setting can be overridden with the -f option.

DWWW_MERGE_MAN2HTML_INDEX
    If this variable is set to yes, then index of registered documentation files will be merged with index of man pages generated by the man2html package (if it is available).

DWWW_INDEX_FULL_TIME_INTERVAL
    Specifies how often (in days) dwww-index++(8) will generate full index of documentation. The default value is 28.

DWWW_INDEX_INCREMENTAL_TIME_INTERVAL
    Specifies how often (in days) dwww-index++(8) will run incremental indexing of new documentation files. The default value is 7.

FILES

/etc/dwww/dwww.conf
    Configuration file for dwww.

/etc/cron.weekly/dwww
    A Bourne shell script which calls dwww-index++.

/usr/share/dwww/swish++.conf
    Swish++ configuration file, used by dwww-index++.

/var/cache/dwww/dwww.swish++.index
    Generated index file.

/var/cache/dwww/index.files.db
    List of already indexed files.

/var/cache/dwww/index.runinfo
    Timestamps of the latest full and incremental index generations.

SEE ALSO
dwww(7), dwww-find(8), index++(1), install-docs(8), Debian doc-base Manual in /usr/share/doc/doc-base/doc-base.html/index.html.

AUTHOR
Robert Luberda <robert@debian.org>. See dwww(7) for copyrights and stuff.